ACE Step
ஒருங்கிணை
ace-step
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ace-step",
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
}
Doitong API மூலம் ACE Step மாதிரியை (ace-step) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/ace-step.md
POST https://api.doitong.com/v1/run/ace-step?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.com/v1/quote/ace-step அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
இந்தக் கோரிக்கை: $0.012 12 API கிரெடிட்கள் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/ace-step?wait=20
விலை → $0.012
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ace-step",
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
ACE Step பற்றி
காற்புள்ளியால் பிரிக்கப்பட்ட பாணி `tags` மற்றும் விருப்பமான `lyrics` ஆகியவற்றிலிருந்து இசைத்தடத்தை உருவாக்குகிறது. [verse], [chorus] போன்ற பிரிவு குறியீடுகள் பாடலின் கட்டமைப்பை வடிவமைக்கின்றன; [inst] கருவியிசையை உருவாக்குகிறது. `duration` 5 முதல் 240 வினாடிகள் வரை இருக்கும். மாதிரி எடுப்பு கட்டுப்பாடுகளில் `scheduler` (euler அல்லது heun), `guidance_type`, மற்றும் 3 முதல் 60 வரையிலான `number_of_steps` அடங்கும்.
அளவுருக்கள்
tagsதேவை
lyricsவிருப்பத்தேர்வு
durationவிருப்பத்தேர்வு
number_of_stepsவிருப்பத்தேர்வு
seedவிருப்பத்தேர்வு
schedulerவிருப்பத்தேர்வு
guidance_typeவிருப்பத்தேர்வு
granularity_scaleவிருப்பத்தேர்வு
guidance_intervalவிருப்பத்தேர்வு
guidance_interval_decayவிருப்பத்தேர்வு
guidance_scaleவிருப்பத்தேர்வு
minimum_guidance_scaleவிருப்பத்தேர்வு
tag_guidance_scaleவிருப்பத்தேர்வு
lyric_guidance_scaleவிருப்பத்தேர்வு
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ace-step",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 12,
"usd": "0.012",
"charged": 12,
"refunded": 0
},
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill"
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"tags": "lofi, hiphop, drum and bass, trap, chill",
"lyrics": "[inst]"
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- audio
- object {url, content_type, file_name, file_size}உருவாக்கத்தால் தயாரிக்கப்படும் ஆடியோ கோப்பு.
- seed
- integerஉருவாக்கத்தின்போது பயன்படுத்தப்படும் சீரற்ற விதை.
- tags
- stringஉருவாக்கத்தின்போது பயன்படுத்தப்படும் வகைக் குறிச்சொற்கள்.
- lyrics
- stringஉருவாக்கத்தின்போது பயன்படுத்தப்படும் பாடல் வரிகள்.
பிற ACE Step மாறுபாடுகள்
மேலும் மாதிரிகள்: உரையிலிருந்து இசைக்கு
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/ace-step.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt